[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseFunction

# Function: UseFunction()

> **UseFunction**\<`Args`, `Result`\>(`fnc`, `name`, `config`?): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:26](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L26)

## Type Parameters

• **Args** *extends* `any`[]

• **Result**

## Parameters

### fnc

[`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

### name

`string`

### config?

[`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`any`, `any`[], `any`, `any`[]\>

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
